POST
/fiat-payments/payment-link/clientGenerate Payment Link
Outcome - Generates a unique payment link for a specific client to deposit fiat funds into their account.
Body Parameters
clientIdstringrequiredThe external ID of the client making the deposit
amountnumberrequiredpositiveAmount to deposit
currencyCodestringrequiredFiat currency code (e.g., SAR)
returnUrlstringThe URL to redirect the user to after payment
IBANstringClient IBAN (Saudi Arabia format)
returnUrlstringHTTPS URL to redirect the user after payment
paymentExpiredInMinutesnumberPayment link expiration in minutes (default 60, max 1440)
Responses
Response attributes
messagestringSuccess message
dataobjectPayment link details
Show child attributes (1)
paymentLinkstringURL to redirect the user for payment
statusnumberHTTP status code
Was this page helpful?